Subject: Ticket Assigned - Landmark Group
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 04 Nov 2021 10:55:37 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Landmark Group Regarding my order number 6361143496 , this is  informed you that order has not be received yet ,since placed order more than 10days goes on 
What is happening here ! Let me know
What is the exact reason, why still pending ?  Are you going to delivery my order or I might be revert back my order .
I need solution urgent based .

Note - I was raised customer compliant more than 3 times , still there is no action and showing wrong status in tracking link . https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3306843